TelepathyQt4: GroupMemberChangeDetails Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# GroupMemberChangeDetails Class Reference
[Channel proxies]

`#include <TelepathyQt4/Channel>`

List of all members.

## Public Member Functions

- bool isValid () const
- bool hasReason () const
- uint reason () const
- bool hasMessage () const
- QString message () const
- bool hasError () const
- QString error () const
- bool hasDebugMessage () const
- QString debugMessage () const

## Group interface

Cached access to state of the group interface on the associated remote object, if the interface is present. Almost all methods return undefined values if the list returned by interfaces() doesn't include TELEPATHY_INTERFACE_CHANNEL_INTERFACE_GROUP or if the object is not ready.

Some methods can be used when targetHandleType() == HandleTypeContact, such as groupFlags(), groupCanAddContacts(), groupCanRemoveContacts(), groupSelfContact() and groupContacts().

As the Group interface state can change freely during the lifetime of the group due to events like new contacts joining the group, the cached state is automatically kept in sync with the remote object's state by hooking to the change notification signals present in the D-Bus interface.

As the cached value changes, change notification signals are emitted.

There is a change notification signal <attribute>Changed corresponding to each cached attribute. The first parameter for each of these signals is the new value of the attribute, which is suited for displaying the value of the attribute in a widget in a model-view fashion. The remaining arguments depend on the attribute, but in general include at least the delta from the previous state of the attribute to the new state.

Check the individual signals' descriptions for details.

- GroupMemberChangeDetails ()
- GroupMemberChangeDetails (const GroupMemberChangeDetails &other)
- ~GroupMemberChangeDetails ()
- GroupMemberChangeDetails & operator= (const GroupMemberChangeDetails &other)
- bool hasActor () const
- ContactPtr actor () const
- QVariantMap allDetails () const

## Detailed Description

Class opaquely storing information on a group membership change for a single member.

Extended information is not always available; this will be reflected by the return value of isValid().

## Constructor & Destructor Documentation

GroupMemberChangeDetails | ( |  | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

GroupMemberChangeDetails | ( | const GroupMemberChangeDetails & | other | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

~GroupMemberChangeDetails | ( |  | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

## Member Function Documentation

Channel::GroupMemberChangeDetails & operator= | ( | const GroupMemberChangeDetails & | other | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

bool isValid | ( |  | ) | const`[inline]`

Return whether or not this object actually contains valid information received from the service. If the returned value is false, the values returned by the other methods for this object are undefined.

Returns:
  Whether the information stored in this object is valid.

bool hasActor | ( |  | ) | const

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

uint actor | ( |  | ) | const

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

bool hasReason | ( |  | ) | const`[inline]`

uint reason | ( |  | ) | const`[inline]`

Return the reason for the change.

Returns:
  The reason, as specified in ChannelGroupChangeReason.

bool hasMessage | ( |  | ) | const`[inline]`

const QString & message | ( |  | ) | const`[inline]`

Return a human-readable message from the contact represented by actor() pertaining to the change, or an empty string if there is no message.

Returns:
  The message as a string.

bool hasError | ( |  | ) | const`[inline]`

QString error | ( |  | ) | const`[inline]`

bool hasDebugMessage | ( |  | ) | const`[inline]`

QString debugMessage | ( |  | ) | const`[inline]`

QVariantMap allDetails | ( |  | ) | const

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.